Package de.gebit.integrity.services

## Class DSLGrammarAccess.VariableDefinitionElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - de.gebit.integrity.services.DSLGrammarAccess.VariableDefinitionElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    DSLGrammarAccess

      public class DSLGrammarAccess.VariableDefinitionElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableDefinitionElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Group` | `getGroup()` |
    `org.eclipse.xtext.Group` | `getGroup_5()` |
    `org.eclipse.xtext.Keyword` | `getInitiallyKeyword_5_0()` |
    `org.eclipse.xtext.Assignment` | `getInitialValueAssignment_5_2()` |
    `org.eclipse.xtext.RuleCall` | `getInitialValueValueOrEnumValueOrOperationCollectionParserRuleCall_5_2_0()` |
    `org.eclipse.xtext.Assignment` | `getNameAssignment_3()` |
    `org.eclipse.xtext.RuleCall` | `getNameVariableEntityParserRuleCall_3_0()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_2()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_4()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_5_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_5_3()` |
    `org.eclipse.xtext.Assignment` | `getPrivateAssignment_0()` |
    `org.eclipse.xtext.Keyword` | `getPrivatePrivateKeyword_0_0()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |
    `org.eclipse.xtext.Keyword` | `getVariableKeyword_1()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableDefinitionElements

          public VariableDefinitionElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getPrivateAssignment_0

          public org.eclipse.xtext.Assignment getPrivateAssignment_0()

    - #### getPrivatePrivateKeyword_0_0

          public org.eclipse.xtext.Keyword getPrivatePrivateKeyword_0_0()

    - #### getVariableKeyword_1

          public org.eclipse.xtext.Keyword getVariableKeyword_1()

    - #### getNLParserRuleCall_2

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_2()

    - #### getNameAssignment_3

          public org.eclipse.xtext.Assignment getNameAssignment_3()

    - #### getNameVariableEntityParserRuleCall_3_0

          public org.eclipse.xtext.RuleCall getNameVariableEntityParserRuleCall_3_0()

    - #### getNLParserRuleCall_4

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_4()

    - #### getGroup_5

          public org.eclipse.xtext.Group getGroup_5()

    - #### getInitiallyKeyword_5_0

          public org.eclipse.xtext.Keyword getInitiallyKeyword_5_0()

    - #### getNLParserRuleCall_5_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_5_1()

    - #### getInitialValueAssignment_5_2

          public org.eclipse.xtext.Assignment getInitialValueAssignment_5_2()

    - #### getInitialValueValueOrEnumValueOrOperationCollectionParserRuleCall_5_2_0

          public org.eclipse.xtext.RuleCall getInitialValueValueOrEnumValueOrOperationCollectionParserRuleCall_5_2_0()

    - #### getNLParserRuleCall_5_3

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_5_3()